Jump to content
Search In
  • More options...
Find results that contain...
Find results in...

[SOLVED] java.lang.UnsatisfiedLinkError: no lwjgl in java.library.path


freshhh
 Share

Recommended Posts

Hi, trying to run Minecraft on Eclipse. I use Windows 7 and Forge 10.12.0.982.

When I try to run it, I get this error :

 

[02:52:12] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[02:52:12] [main/INFO]: Using primary tweak class name cpw.mods.fml.common.launcher.FMLTweaker
[02:52:12] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLTweaker
[02:52:12] [main/INFO]: Forge Mod Loader version 7.2.30.982 for Minecraft 1.7.2 loading
[02:52:12] [main/INFO]: Java is Java HotSpot(TM) 64-Bit Server VM, version 1.7.0_17, running on Windows 7:amd64:6.1, installed at C:\Program Files\Java\jre7
[02:52:13] [main/INFO]: Managed to load a deobfuscated Minecraft name- we are in a deobfuscated environment. Skipping runtime deobfuscation
[02:52:13] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[02:52:13] [main/INFO]: Loading tweak class name cpw.mods.fml.common.launcher.FMLDeobfTweaker
[02:52:13] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[02:52:13] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLInjectionAndSortingTweaker
[02:52:13] [main/INFO]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
[02:52:13] [main/ERROR]: The binary patch set is missing. Either you are in a development environment, or things are not going to work!
[02:52:14] [main/ERROR]: The minecraft jar file:/C:/Users/Robbe/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.2-10.12.0.982/forge-1.7.2-10.12.0.982-mcp.jar!/net/minecraft/client/ClientBrandRetriever.class appears to be corrupt! There has been CRITICAL TAMPERING WITH MINECRAFT, it is highly unlikely minecraft will work! STOP NOW, get a clean copy and try again!
[02:52:14] [main/ERROR]: FML has been ordered to ignore the invalid or missing minecraft certificate. This is very likely to cause a problem!
[02:52:14] [main/ERROR]: Technical information: ClientBrandRetriever was at jar:file:/C:/Users/Robbe/.gradle/caches/minecraft/net/minecraftforge/forge/1.7.2-10.12.0.982/forge-1.7.2-10.12.0.982-mcp.jar!/net/minecraft/client/ClientBrandRetriever.class, there were 0 certificates for it
[02:52:14] [main/ERROR]: FML appears to be missing any signature data. This is not a good thing
[02:52:14] [main/INFO]: Calling tweak class cpw.mods.fml.relauncher.CoreModManager$FMLPluginWrapper
[02:52:14] [main/INFO]: Calling tweak class cpw.mods.fml.common.launcher.FMLDeobfTweaker
[02:52:16] [main/INFO]: Launching wrapped minecraft {net.minecraft.client.main.Main}
[02:52:19] [main/ERROR]: Unable to launch
java.lang.reflect.InvocationTargetException
at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method) ~[?:1.7.0_17]
at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_17]
at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source) ~[?:1.7.0_17]
at java.lang.reflect.Method.invoke(Unknown Source) ~[?:1.7.0_17]
at net.minecraft.launchwrapper.Launch.launch(Launch.java:134) [launchwrapper-1.9.jar:?]
at net.minecraft.launchwrapper.Launch.main(Launch.java:28) [launchwrapper-1.9.jar:?]
Caused by: java.lang.UnsatisfiedLinkError: no lwjgl in java.library.path
at java.lang.ClassLoader.loadLibrary(Unknown Source) ~[?:1.7.0_17]
at java.lang.Runtime.loadLibrary0(Unknown Source) ~[?:1.7.0_17]
at java.lang.System.loadLibrary(Unknown Source) ~[?:1.7.0_17]
at org.lwjgl.Sys$1.run(Sys.java:73) ~[lwjgl-2.9.0.jar:?]
at java.security.AccessController.doPrivileged(Native Method) ~[?:1.7.0_17]
at org.lwjgl.Sys.doLoadLibrary(Sys.java:66) ~[lwjgl-2.9.0.jar:?]
at org.lwjgl.Sys.loadLibrary(Sys.java:95) ~[lwjgl-2.9.0.jar:?]
at org.lwjgl.Sys.<clinit>(Sys.java:112) ~[lwjgl-2.9.0.jar:?]
at net.minecraft.client.Minecraft.getSystemTime(Minecraft.java:2579) ~[Minecraft.class:?]
at net.minecraft.client.main.Main.main(Main.java:36) ~[Main.class:?]
... 6 more

 

Here's my variables incase you need them :

 

Prog args :

--version 1.7.2 --tweakClass cpw.mods.fml.common.launcher.FMLTweaker --accessToken whatever

 

VM args:

-Dfml.ignoreInvalidMinecraftCertificates=true

 

Main class :

net.minecraft.launchwrapper.Launch

 

Visited various topics about this problem, yet not solved.

 

EDIT: 1 minute after posting this I figured out that I've been using the wrong path and also the wrong library.

For those having the same issue, right click your project > properties > java build path > Libraries > Expand LWJGL 2.9.0.jar by clicking on the arrow > Double click native library location and input the correct path. It will probably look like "C:/Users/YourName/Desktop/forge.2/build/natives" or something else. The "build/natives" folder is what you need.

 

http://puu.sh/67wmS.png

http://puu.sh/67wkA.png

 

Link to comment
Share on other sites

  • 2 months later...
  • 2 weeks later...

I don't get it. I have the exact same error and I have it set to [PATH TO FORGE FOLDER]/forge/build/natives

 

 

Have the same problem

*********************************

**  Always remember you are unique,  **

**  just like everyone else                   **     

**********************************

Was my post helpful? Say thanks and

press the thank you button, on my post!!

God, damn it!

Link to comment
Share on other sites

  • 1 month later...

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

 Share



×
×
  • Create New...

Important Information

By using this site, you agree to our Privacy Policy.